import logging
import unittest

from longvideoapi import utils, longvideoapi_config


class MyTestCase(unittest.TestCase):
    def test_list_server_group_servers(self):
        alb_client = utils.connect_alb_client(
            access_key_id=longvideoapi_config.alb_client_params['access_key_id'],
            access_key_secret=longvideoapi_config.alb_client_params['access_key_secret'],
            endpoint=longvideoapi_config.alb_client_params['endpoint']
        )

        instance_ids = utils.list_server_group_servers(alb_client, longvideoapi_config.server_group_id_list[0])
        logging.info(instance_ids)

    def test_create_multiple_instances(self):
        ecs_client = utils.connect_client(access_key_id=longvideoapi_config.ecs_client_params['access_key_id'],
                                          access_key_secret=longvideoapi_config.ecs_client_params['access_key_secret'],
                                          region_id=longvideoapi_config.ecs_client_params['region_id'])
        ess_instance_ids = utils.create_multiple_instances(
            amount=120,
            ecs_client=ecs_client,
            **longvideoapi_config.instance_config_k,
        )
        logging.info(ess_instance_ids)


if __name__ == '__main__':
    unittest.main()
